Contents

# VALUE

Converts the string representation of a number to numeric form. If the supplied string is a valid date, time, or date-time, the corresponding date-time serial number is returned.

### Syntax

VALUE(Text)

Text: A string (in quotation marks), a number, or a reference to a cell containing one of those types, that contains the value to be converted.

If the Text argument is a string representing a date, time, currency or a numeric value with decimal and thousands separators, the string must comply with current locale settings.

### Examples

=VALUE("1234") returns the numeric value 1234.

=VALUE("+1,234.567") returns 1234.567 (considering en-US locale). Note that the "+" sign could have been omitted.

=VALUE("$100") returns 100 (considering en-US locale). Note that the currency prefix must match the current locale settings.

=VALUE("50%") returns 0.5. Note that the character "%" causes the numeric part to be divided by 100.

=VALUE("2021-07-30") returns 44407 (considering ISO 8601 format) which is the date-time sequence number corresponding to the specified date.

=VALUE("09:20:25") returns 0.389178240740741 which is the date-time sequence number corresponding to the specified time value.

Refer to the VALUE wiki page for more details about this function.

Related Topics

VALUE wiki page.

DATEVALUE

NUMBERVALUE

TIMEVALUE

Text Functions